package com.fs.course.service;

import java.util.List;
import com.fs.course.domain.FsUserVipPackage;
import com.fs.course.vo.FsUserVipPackageListUVO;

/**
 * 会员套餐Service接口
 *
 * @author fs
 * @date 2024-06-27
 */
public interface IFsUserVipPackageService
{
    /**
     * 查询会员套餐
     *
     * @param packageId 会员套餐主键
     * @return 会员套餐
     */
    public FsUserVipPackage selectFsUserVipPackageByPackageId(Long packageId);

    /**
     * 查询会员套餐列表
     *
     * @param fsUserVipPackage 会员套餐
     * @return 会员套餐集合
     */
    public List<FsUserVipPackage> selectFsUserVipPackageList(FsUserVipPackage fsUserVipPackage);

    /**
     * 新增会员套餐
     *
     * @param fsUserVipPackage 会员套餐
     * @return 结果
     */
    public int insertFsUserVipPackage(FsUserVipPackage fsUserVipPackage);

    /**
     * 修改会员套餐
     *
     * @param fsUserVipPackage 会员套餐
     * @return 结果
     */
    public int updateFsUserVipPackage(FsUserVipPackage fsUserVipPackage);

    /**
     * 批量删除会员套餐
     *
     * @param packageIds 需要删除的会员套餐主键集合
     * @return 结果
     */
    public int deleteFsUserVipPackageByPackageIds(Long[] packageIds);

    /**
     * 删除会员套餐信息
     *
     * @param packageId 会员套餐主键
     * @return 结果
     */
    public int deleteFsUserVipPackageByPackageId(Long packageId);

    List<FsUserVipPackageListUVO> selectFsUserVipPackageListUVO();
}
